
%global group_id  org.codehaus.mojo

Name:             keytool-maven-plugin
Version:          1.0
Release:          %mkrel 19
Summary:          A plugin that wraps the keytool program and allows to manipulate keystores
License:          MIT and ASL 2.0
Group:            Development/Java
# http://mojo.codehaus.org/keytool-maven-plugin/
URL:              http://mojo.codehaus.org/%{name}/
# svn export http://svn.codehaus.org/mojo/tags/keytool-maven-plugin-1.0/ keytool-maven-plugin-1.0
# tar caf keytool-maven-plugin-1.0.tar.xz keytool-maven-plugin-1.0
Source0:          %{name}-%{version}.tar.xz
Source1:          LICENSE-ASL

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    maven-local

Requires:         java-headless
Requires:         jpackage-utils
Requires:         maven
Requires:         plexus-utils
Requires:         apache-commons-lang

%description
A plugin that wraps the keytool program bundled with Sun's Java SDK.
It provides the capability to manipulate keys and keystores
with the goals "keytool:genkey" and "keytool:clean".

%package javadoc
Summary:          API documentation for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# fixing licenses
mv LICENSE.txt LICENSE-MIT
cp %{SOURCE1} LICENSE-ASL

# junit dependency was removed in Plexus 1.6
%pom_add_dep junit:junit::test

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-MIT LICENSE-ASL

%files javadoc -f .mfiles-javadoc
%doc LICENSE-MIT LICENSE-ASL




%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.0-19.mga6
+ Revision: 977234
- First rebuild of the java stack
- sync package keytool-maven-plugin with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Jan 14 2015 daviddavid <daviddavid> 1.0-11.mga5
+ Revision: 810700
- Sync with fc21
- rebuild against current java-stack

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Sun Jun 01 2014 dmorgan <dmorgan> 1.0-9.mga5
+ Revision: 630454
- Build with xmvn

* Sat Oct 19 2013 umeabot <umeabot> 1.0-8.mga4
+ Revision: 529742
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 dmorgan <dmorgan> 1.0-7.mga4
+ Revision: 453080
- Add missing BR: maven-surefire-provider-junit4

* Mon Feb 18 2013 dmorgan <dmorgan> 1.0-6.mga3
+ Revision: 399173
- Java Stack Mass Rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 20 2011 dmorgan <dmorgan> 1.0-4.mga2
+ Revision: 127050
- imported package keytool-maven-plugin


* Wed May 25 2011 Jaromir Capik <jcapik@redhat.com> - 1.0-4
- Missing runtime deps (maven) added

* Wed May 25 2011 Jaromir Capik <jcapik@redhat.com> - 1.0-3
- Missing runtime deps (plexus-utils, apache-commons-lang) added

* Fri May 20 2011 Jaromir Capik <jcapik@redhat.com> - 1.0-2
- Missing MIT license added in the license field

* Thu May 19 2011 Jaromir Capik <jcapik@redhat.com> - 1.0-1
- Initial version of the package
